//-=-=-=-=-=-=-=-=-=-=-=-
// -Citysun skybox- //
//-=-=-=-=-=-=-=-=-=-=-=-

textures/crypt_final/skybox/suncity_skybox
{
	qer_editorimage textures/crypt_final/skybox/citysun_box.tga
	skyparms textures/crypt_final/skybox/suncity/suncity 1024 -

	q3map_sunExt 0.894117 0.549019 0.078431 105 31 12 4 16
	q3map_lightmapFilterRadius 3 6
	q3map2_skyLight 4 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
}

models/mapobjects/crypt/crystallball_src
{
	qer_editorimage models/mapobjects/crypt/powloka.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map models/mapobjects/crypt/powloka.tga
		tcGen environment
		tcMod scroll 0.02 0.04
		blendFunc GL_ONE GL_ONE
	}
}

//-=-=-=-=-=-=-=-
// -Ceiling- //
//-=-=-=-=-=-=-=-

textures/crypt_final/ceiling/_ceiling_1_1
{
	implicitMap textures/crypt_final/ceiling/_ceiling_1_1.tga
}

//-=-=-=-=-=-=-=-
// -Floors- //
//-=-=-=-=-=-=-=-

textures/crypt_final/floors/_concretefloor_1_1
{
	implicitMap textures/crypt_final/floors/_concretefloor_1_1.tga
}

textures/crypt_final/floors/_concretefloor_1_2
{
	implicitMap textures/crypt_final/floors/_concretefloor_1_2.tga
}

textures/crypt_final/floors/_tilesfloor_1_1
{
	implicitMap textures/crypt_final/floors/_tilesfloor_1_1.tga
}

textures/crypt_final/floors/_tilesfloor_1_2
{
	implicitMap textures/crypt_final/floors/_tilesfloor_1_2.tga
}

textures/crypt_final/floors/_tileswall_1_1
{
	implicitMap textures/crypt_final/floors/_tileswall_1_1.tga
}

textures/crypt_final/floors/_tileswall_1_2
{
	implicitMap textures/crypt_final/floors/_tileswall_1_2.tga
}

//-=-=-=-=-=-=-=-
// -Glass- //
//-=-=-=-=-=-=-=-

textures/crypt_final/glass/_glass_1_1
{
	qer_editorimage textures/crypt_final/glass/_glass_1_1.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/crypt_final/glass/_glass_1_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//-=-=-=-=-=-=-=-
// -Ices-//
//-=-=-=-=-=-=-=-

textures/crypt_final/ices/_icefloor_1_1
{
	qer_trans 0.80
	qer_editorimage textures/crypt_final/ices/_icefloor_1_1.tga
	sort seethrough
	surfaceparm slick
	surfaceparm trans
	surfaceparm nodamage
	tesssize 256

	{
		map textures/crypt_final/ices/_icefloor_1_1_effect.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/crypt_final/ices/_icefloor_1_1.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

//-=-=-=-=-=-=-=-
// -Metals- //
//-=-=-=-=-=-=-=-

textures/crypt_final/metals/_metal_1_1
{
	surfaceparm metalsteps
	implicitMap textures/crypt_final/metals/_metal_1_1.tga
}

textures/crypt_final/metals/_metal_1_2
{
	surfaceparm metalsteps
	implicitMap textures/crypt_final/metals/_metal_1_2.tga
}

//-=-=-=-=-=-=-=-
// -Opti- //
//-=-=-=-=-=-=-=-

textures/crypt_final/opti/_laser_1_1
{
	qer_editorimage textures/crypt_final/opti/_laser_1_1.tga
	cull none
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		tcGen environment
		tcMod scroll 0.03 0.03
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		map textures/crypt_final/opti/_laser_1_1.tga
	}
}

//-=-=-=-=-=-=-=-
// -Plasters- //
//-=-=-=-=-=-=-=-

textures/crypt_final/plasters/_plaster_1_1
{
	implicitMap textures/crypt_final/plasters/_plaster_1_1.tga
}

textures/crypt_final/plasters/_plaster_1_2
{
	implicitMap textures/crypt_final/plasters/_plaster_1_2.tga
}

textures/crypt_final/plasters/_plaster_1_3
{
	implicitMap textures/crypt_final/plasters/_plaster_1_3.tga
}

//-=-=-=-=-=-=-=-
// -Walls- //
//-=-=-=-=-=-=-=-

textures/crypt_final/walls/_brickwall_1_1
{
	implicitMap textures/crypt_final/walls/_brickwall_1_1.tga
}

textures/crypt_final/walls/_brickwall_1_2
{
	implicitMap textures/crypt_final/walls/_brickwall_1_2.tga
}

textures/crypt_final/walls/_brickwall_1_2_tff
{
	implicitMap textures/crypt_final/walls/_brickwall_1_2_tff.tga
}

textures/crypt_final/walls/_brickwall_1_2_nosolid
{
	surfaceparm nonsolid
	implicitMap textures/crypt_final/walls/_brickwall_1_2_nosolid.tga
}

textures/crypt_final/walls/_brickwall_1_3
{
	implicitMap textures/crypt_final/walls/_brickwall_1_3.tga
}

textures/crypt_final/walls/_brickwall_1_4
{
	implicitMap textures/crypt_final/walls/_brickwall_1_4.tga
}

//-=-=-=-=-=-=-=-
// -Waters //
//-=-=-=-=-=-=-=-


textures/crypt_final/waters/_water_1_1
{
	qer_editorimage textures/crypt_final/waters/_water_1_1.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nomarks
	cull none
	noPicmip
	
	waterfogvars ( 0.98 0.103 0.80 ) 0.2
	{ 
		fog on
		map textures/crypt_final/waters/_water_1_1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scale 0.5 0.5
		tcmod scroll 0.02 0.001
	}
	{ 
		fog on
		map textures/crypt_final/waters/_water_1_1_ripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll 0.001 0.0002
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll 0.005 0.001
	}
}

//-=-=-=-=-=-=-=-
// -Lighting- //
//-=-=-=-=-=-=-=-

textures/crypt_final/lighting/_light_1_1
{
	qer_editorimage textures/crypt_final/lighting/_light_1_1.tga
	q3map_lightimage textures/crypt_final/lighting/_light_1_1_focus.tga
	q3map_surfacelight 2600
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_1_focus.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_3
{
	qer_editorimage textures/crypt_final/lighting/_light_1_3.tga
	q3map_lightimage textures/crypt_final/lighting/_light_1_3_focus.tga
	q3map_surfacelight 2200
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_3_focus.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_4
{
	qer_editorimage textures/crypt_final/lighting/_light_1_4.tga
	q3map_lightimage textures/crypt_final/lighting/_light_1_4_focus.tga
	q3map_surfacelight 2600
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_4_focus.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_5
{
	qer_editorimage textures/crypt_final/lighting/_light_1_5.tga
	q3map_lightimage textures/crypt_final/lighting/_light_1_5.tga
	q3map_surfacelight 2600
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_5.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_2_1k
{
	qer_editorimage textures/crypt_final/lighting/_light_1_2.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_2r_1k
{
	qer_editorimage textures/crypt_final/lighting/_light_1_2_r.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2_r.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/crypt_final/lighting/_light_1_2r_1800k
{
	qer_editorimage textures/crypt_final/lighting/_light_1_2_r_g.tga
	q3map_surfacelight 1800
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2_r_g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/crypt_final/lighting/_light_1_2_r_g.tga
		blendFunc GL_ONE GL_ONE
	}
}

//-=-=-=-=-=-=-=-
// -Sands- //
//-=-=-=-=-=-=-=-

textures/crypt_final/sands/_sand_1_1
{
	surfaceparm gravelsteps
	implicitMap textures/crypt_final/sands/_sand_1_1.tga
}

textures/crypt_final/sands/_grass_1_1
{
	surfaceparm grasssteps
	implicitMap textures/crypt_final/sands/_grass_1_1.tga
}

//-=-=-=-=-=-=-=-
// -Opis- //
//-=-=-=-=-=-=-=-

textures/crypt_final/opis/opp_boilerroom_scn
{
	qer_editorimage textures/crypt_final/opis/opp_boilerroom.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_boilerroom.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_cryptz223_scn
{
	qer_editorimage textures/crypt_final/opis/opp_cryptz223.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_cryptz223.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_church_scn
{
	qer_editorimage textures/crypt_final/opis/opp_church.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_church.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_crystalarea_scn
{
	qer_editorimage textures/crypt_final/opis/opp_crystalarea.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_crystalarea.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_crystalball_scn
{
	qer_editorimage textures/crypt_final/opis/opp_crystalball.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_crystalball.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_elevatorsystem_scn
{
	qer_editorimage textures/crypt_final/opis/opp_elevatorsystem.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_elevatorsystem.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_gatessystem_scn
{
	qer_editorimage textures/crypt_final/opis/opp_gatessystem.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_gatessystem.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_strzalkaprawo_scn
{
	qer_editorimage textures/crypt_final/opis/opp_strzalkaprawo.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_strzalkaprawo.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/opp_strzalkalewo_scn
{
	qer_editorimage textures/crypt_final/opis/opp_strzalkalewo.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/opp_strzalkalewo.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/greetings_scn
{
	qer_editorimage textures/crypt_final/opis/greetings.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/greetings.tga
		blendFunc blend
	}
}

textures/crypt_final/opis/irecomended_scn
{
	qer_editorimage textures/crypt_final/opis/irecomended.tga
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	nomipmaps
	{
		map textures/crypt_final/opis/irecomended.tga
		blendFunc blend
	}
}